DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | List of all members
FrameSorterIdentity Class Reference

Dummy sorter implementing the FrameSorter interface, but not doing any sorting at all. More...

Inheritance diagram for FrameSorterIdentity:

## Public Member Functions
| FrameSorterIdentity ()
| Default constructor, does nothing.
virtual | ~FrameSorterIdentity ()
| Virtual default destructor, does nothing.
virtual OFString | getDescription ()
| Get description of the sorting algorithm this class uses. More...
virtual void | sort (Results &results)
| Performs actual sorting. More...
Public Member Functions inherited from FrameSorter
| FrameSorter ()
| Default constructor, does nothing.
void | setSorterInput (FGInterface *fg)
| Set input data for this sorter. More...
virtual | ~FrameSorter ()
| Virtual default desctructor, does nothing.

## Additional Inherited Members
Protected Attributes inherited from FrameSorter
FGInterface * | m_fg
| Pointer to functional groups to work on. Not owned by this class.

## Detailed Description

Dummy sorter implementing the FrameSorter interface, but not doing any sorting at all.

As a result it provides a list of frames in their natural order, as found in the underlying DICOM dataset. The results will not contain frame position to make this implementation as lightweight and "stupid" as possible.

## Member Function Documentation

## ◆ getDescription()

virtual OFString FrameSorterIdentity::getDescription | ( |  | ) |
| inline virtual

Get description of the sorting algorithm this class uses.

Returns
  Free text description of the sorting algorithm used.

Implements FrameSorter.

## ◆ sort()

virtual void FrameSorterIdentity::sort | ( | Results & | results | ) |
| inline virtual

Performs actual sorting.

Does only set Results.frameNumbers and errorCode, leaving the rest untouched.

Parameters

  results | The results produced by dummy sorter (list of frame numbers as found in the underlying DICOM dataset, and EC_Normal as error code)

Implements FrameSorter.

References FrameSorter::Results::errorCode, FG_EC_InvalidData, FG_EC_NotEnoughItems, FrameSorter::Results::frameNumbers, FGInterface::getNumberOfFrames(), FrameSorter::m_fg, and OFVector< T >::push_back().

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/framesorter.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1